jailbreaking ipod touch 1st generation- is it still possible?

Discussion in 'iPod touch' started by soil_flyy, May 27, 2009.

  1. soil_flyy

    soil_flyy New Member

    Joined:
    May 26, 2009
    Messages:
    5
    Likes Received:
    0
    i was able to jailbreak my ipod touch (1st generation) a year ago using jailbreakme.com. unfortunately, that site is not available anymore. when i use jailbreaking softwares like ziphone/qckpawn etc. i get some errors. note: my itouch was bought a week after the first ipod touch was released. is it due to my version? is it obsolete already? please help. i almost collapsed when i accidentally restored my itouch..
  2. forwardmotion123

    forwardmotion123 New Member

    Joined:
    May 16, 2008
    Messages:
    1
    Likes Received:
    0
    Device:
    iPod touch
    Yes, it's still possible

    I used Quickpwn
  3. jniranjan

    jniranjan Member

    Joined:
    Apr 10, 2008
    Messages:
    552
    Likes Received:
    1
    Device:
    iPod touch
    jailbreakme only worked with 1.1.1 No, your ipod is not obsolete. download quickpwn, download the 2.2 firmware, and follow the detailed instructions that guide you through the jailbreak process

Share This Page